org.jfree.data.xy

## Interface IntervalXYDataset

- All Superinterfaces:
    Dataset, SeriesDataset, XYDataset
  All Known Implementing Classes:
    AbstractIntervalXYDataset, XYSeriesCollection

      public interface IntervalXYDataset
      extends XYDataset

  An extension of the `XYDataset` interface that allows an x-interval and a y-interval to be defined. Note that the x and y values defined by the parent interface are NOT required to fall within these intervals. This interface is used to support (among other things) bar plots against numerical axes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Number` | `getEndX(int series, int item)` Returns the upper bound of the x-interval for the specified series and item.
    `double` | `getEndXValue(int series, int item)` Returns the upper bound of the x-interval (as a double primitive) for the specified series and item.
    `java.lang.Number` | `getEndY(int series, int item)` Returns the upper bound of the y-interval for the specified series and item.
    `double` | `getEndYValue(int series, int item)` Returns the upper bound of the y-interval (as a double primitive) for the specified series and item.
    `java.lang.Number` | `getStartX(int series, int item)` Returns the lower bound of the x-interval for the specified series and item.
    `double` | `getStartXValue(int series, int item)` Returns the lower bound of the x-interval (as a double primitive) for the specified series and item.
    `java.lang.Number` | `getStartY(int series, int item)` Returns the lower bound of the y-interval for the specified series and item.
    `double` | `getStartYValue(int series, int item)` Returns the lower bound of the y-interval (as a double primitive) for the specified series and item.

    - ### Methods inherited from interface org.jfree.data.xy.XYDataset

      `getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

    - ### Methods inherited from interface org.jfree.data.general.SeriesDataset

      `getSeriesCount, getSeriesKey, indexOf`

    - ### Methods inherited from interface org.jfree.data.general.Dataset

      `addChangeListener, getGroup, removeChangeListener, setGroup`

- - ### Method Detail

    - #### getStartX

          java.lang.Number getStartX(int series,
                                     int item)

      Returns the lower bound of the x-interval for the specified series and item. If this lower bound is specified, it should be less than or equal to the upper bound of the interval (if one is specified).
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The lower bound of the x-interval (`null` permitted).

    - #### getStartXValue

          double getStartXValue(int series,
                                int item)

      Returns the lower bound of the x-interval (as a double primitive) for the specified series and item.
      Parameters:
        `series` - the series (zero-based index).
        `item` - the item (zero-based index).
      Returns:
        The lower bound of the x-interval.
      See Also:
        `getStartX(int, int)`

    - #### getEndX

          java.lang.Number getEndX(int series,
                                   int item)

      Returns the upper bound of the x-interval for the specified series and item. If this upper bound is specified, it should be greater than or equal to the lower bound of the interval (if one is specified).
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The upper bound of the x-interval (`null` permitted).

    - #### getEndXValue

          double getEndXValue(int series,
                              int item)

      Returns the upper bound of the x-interval (as a double primitive) for the specified series and item.
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The upper bound of the x-interval.
      See Also:
        `getEndX(int, int)`

    - #### getStartY

          java.lang.Number getStartY(int series,
                                     int item)

      Returns the lower bound of the y-interval for the specified series and item. If this lower bound is specified, it should be less than or equal to the upper bound of the interval (if one is specified).
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The lower bound of the y-interval (`null` permitted).

    - #### getStartYValue

          double getStartYValue(int series,
                                int item)

      Returns the lower bound of the y-interval (as a double primitive) for the specified series and item.
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The lower bound of the y-interval.
      See Also:
        `getStartY(int, int)`

    - #### getEndY

          java.lang.Number getEndY(int series,
                                   int item)

      Returns the upper bound of the y-interval for the specified series and item. If this upper bound is specified, it should be greater than or equal to the lower bound of the interval (if one is specified).
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The upper bound of the y-interval (`null` permitted).

    - #### getEndYValue

          double getEndYValue(int series,
                              int item)

      Returns the upper bound of the y-interval (as a double primitive) for the specified series and item.
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The upper bound of the y-interval.
      See Also:
        `getEndY(int, int)`